Bug 821261 - Join multi-byte patch incompatibilities
Join multi-byte patch incompatibilities
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 12:14 EDT by Andrej Antas
Modified: 2013-08-16 05:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 05:20:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch adding multi-byte functionality tests (15.45 KB, patch)
2012-05-13 12:51 EDT, Andrej Antas
no flags Details | Diff

  None (edit)
Description Andrej Antas 2012-05-13 12:14:02 EDT
Description of problem:
As multibyte patch contains different paths from upstream and it is hard to
track the changes in behaviour, this bugzilla will be to track found
incompatibilites && fixes in coreutils-i18n patch for join utility.


Version-Release number of selected component (if applicable):
coreutils-8.15-8.fc18


Steps to Reproduce:
1. Call following commands with LC_ALL=C and LC_ALL=fr_FR.UTF-8 locales

a) echo -n -e " b 1\n a 2\n" " b Y\n a Z\n" | join --check-order 

b) echo -n -e " a 2\n b 1\n" " b Y\n a Z\n" | join --check-order 

c) echo -n -e " a 2\n b 1\n" " b Y\n\n" | join --check-order

d) echo -n -e "a\nx\no" "b\ny\np" | join --check-order

e) echo -n -e "ID Name\n2 B\n1 A\n" "ID Color\n2 blue\n" | join --header --check-order

  
Actual results:
Results are different (or command fails)

Expected results:
Results should be same

Additional info:
mistakes found after applying attached patch (it adds multibyte tests for utilities cut, expand, fold, join, pr, sort, unexpand, uniq)
Comment 1 Andrej Antas 2012-05-13 12:51:14 EDT
Created attachment 584159 [details]
patch adding multi-byte functionality tests
Comment 2 Andrej Antas 2012-05-30 11:48:26 EDT
more detailed step to reproduce:

a) echo " b 1\n a 2\n" > file1
   sort file1 > file3
   echo " b Y\n a Z\n" > file2
   sort file2 > file4
   join --check-order file3 file4

b) echo " a 2\n b 1\n" > file1
   sort file1 > file3
   echo " b Y\n a Z\n" > file2
   sort file2 > file4
   join --check-order file3 file4

c) echo " a 2\n b 1\n" > file1
   sort file1 > file3
   echo " b Y\n\n" > file2
   sort file2 > file4
   join --check-order file3 file4

d) echo "a\nx\no" > file1
   sort file1 > file3
   echo "b\ny\np" > file2
   sort file2 > file4
   join --check-order file3 file4 

e) echo "ID Name\n2 B\n1 A\n" > file1
   sort file1 > file3
   echo "ID Color\n2 blue\n" > file2
   sort file2 > file4
   join --header --check-order file3 file4
Comment 3 Fedora End Of Life 2013-04-03 15:36:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Jaromír Končický 2013-08-16 05:20:05 EDT
All the commands from Comment 2 are working properly for me - I see there is no actual problem with join. I tried to run the multi-byte-patched test on join and there were just false errors - differences in stderr output like:

*** 1 ****
! join: header-3-mb.1:3: is not sorted: 1 A
--- 1 ----
! join: header-3.1:3: is not sorted: 1 A

-> NOTABUG

Note You need to log in before you can comment on or make changes to this bug.